Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXxf86vm runtime library
Name: 		libXxf86vm
Version: 	1.1.1
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXxf86vm runtime library

%package devel
Summary: 	X.Org X11 libXxf86vm development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# needed by xxf86vm.pc
Requires: 	xorg-x11-proto-devel

%description devel
X.Org X11 libXxf86vm development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_libdir}/libXxf86vm.so.1
%{_libdir}/libXxf86vm.so.1.0.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXxf86vm.a
%endif
%{_libdir}/libXxf86vm.so
%{_libdir}/pkgconfig/xxf86vm.pc
%{_includedir}/X11/extensions/xf86vmode.h
%{_mandir}/man3/XF86VM.3.gz
%{_mandir}/man3/XF86VidModeDeleteModeLine.3.gz
%{_mandir}/man3/XF86VidModeGetAllModeLines.3.gz
%{_mandir}/man3/XF86VidModeGetDotClocks.3.gz
%{_mandir}/man3/XF86VidModeGetGamma.3.gz
%{_mandir}/man3/XF86VidModeGetGammaRamp.3.gz
%{_mandir}/man3/XF86VidModeGetGammaRampSize.3.gz
%{_mandir}/man3/XF86VidModeGetModeLine.3.gz
%{_mandir}/man3/XF86VidModeGetMonitor.3.gz
%{_mandir}/man3/XF86VidModeGetPermissions.3.gz
%{_mandir}/man3/XF86VidModeGetViewPort.3.gz
%{_mandir}/man3/XF86VidModeLockModeSwitch.3.gz
%{_mandir}/man3/XF86VidModeModModeLine.3.gz
%{_mandir}/man3/XF86VidModeQueryExtension.3.gz
%{_mandir}/man3/XF86VidModeQueryVersion.3.gz
%{_mandir}/man3/XF86VidModeSetClientVersion.3.gz
%{_mandir}/man3/XF86VidModeSetGamma.3.gz
%{_mandir}/man3/XF86VidModeSetGammaRamp.3.gz
%{_mandir}/man3/XF86VidModeSetViewPort.3.gz
%{_mandir}/man3/XF86VidModeSwitchMode.3.gz
%{_mandir}/man3/XF86VidModeSwitchToMode.3.gz
%{_mandir}/man3/XF86VidModeValidateModeLine.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-3
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-2
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-3
- rebuilt for xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-2
- rebuilt for xorg 7.2
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
